#!/bin/sh
#
#
# Update/Install Gskit 
#
#

OS=`uname -s`
echo $OS 2> /dev/null > /dev/null
if [ -z "$1" ]
then
        SRCDIR=`pwd`;
else
        SRCDIR=$1;
fi

case "$OS" in 
          "AIX") 
                 installp -ac -d $SRCDIR GSKit8.gskcrypt32.ppc.rte 2> /dev/null > /dev/null
                 installp -ac -d $SRCDIR GSKit8.gskssl32.ppc.rte 2> /dev/null > /dev/null
          ;;
          "SunOS")
                 pkgadd -a $SRCDIR/admin -n -d $SRCDIR gsk8cry32 2> /dev/null > /dev/null 
                 pkgadd -a $SRCDIR/admin -n -d $SRCDIR gsk8ssl32 2> /dev/null > /dev/null
          ;;
          "HP-UX")
                 swreg -l depot $SRCDIR/gskcrypt32 2> /dev/null > /dev/null 
                 swinstall -s $SRCDIR/gskcrypt32 gskcrypt32 2> /dev/null > /dev/null 
                 swreg -l depot $SRCDIR/gskssl32 2> /dev/null > /dev/null 
                 swinstall -s $SRCDIR/gskssl32 gskssl32 2> /dev/null > /dev/null 
          ;;
          "Linux" )
          		 
       		 rpm -Uh --nodeps $SRCDIR/gskcrypt32*.rpm 2> /dev/null > /dev/null
                 rpm -Uh --nodeps $SRCDIR/gskssl32*.rpm 2> /dev/null > /dev/null
          ;;
          *)
          echo "ERROR: Can't determine platform!" 2> /dev/null > /dev/null
          exit -1 ;;
esac
